PPI::Statement::Data(3pm)

NAME
PPI::Statement::Data - The __DATA__ section of a file

SYNOPSIS
  # Normal content

  __DATA__
  This: data
  is: part
  of: the
  PPI::Statement::Data: object

INHERITANCE
  PPI::Statement::Compound
  isa PPI::Statement
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Statement::Data" is a utility class designed to hold content in the __DATA__ section of a file. It provides a single statement to hold all of the data.

METHODS
"PPI::Statement::Data" has no additional methods beyond the default ones provided by PPI::Statement, PPI::Node and PPI::Element.

However, it is expected to gain methods for accessing the data directly, (as a filehandle for example) just as you would access the data in the Perl code itself.

TO DO
- Add the methods to read in the data

- Add some proper unit testing

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.